#pragma once

#include "WeArtTemperature.h"
#include "WeArtForce.h"
#include "WeArtTexture.h"
#include <vector>

 /// <summary>
 /// A general effect function interface.
 /// </summary>
class WeArtEffect {

public:
	virtual FWeArtTemperature	getTemperature	(void) = 0;
	virtual FWeArtForce			getForce		(void) = 0;
	virtual FWeArtTexture		getTexture		(void) = 0;
};
